--[[
module to wait for a key press and return name of pressed key
usage 
require("getkey") 
key=getkey([timout])
--]]
local key_names={
	"remote",
	"set",
	"erase",
	"display",
	"menu",
	"up",
	"down",
	"left",
	"right",
	"zoom_in",
	"zoom_out"
}

function getkey(timeout)
	if not timeout then
		timeout = 0
	end
	wait_click(timeout)
	for i,name in ipairs(key_names) do
		if is_pressed(name) then
			return name
		end
	end
	-- returns nil on timeout or unknown key
end
